Fix RPM spec file
authorJonathan Wakely <github@kayari.org>
Thu, 18 Feb 2021 17:09:11 +0000 (17:09 +0000)
committerMichael McMaster <michael@codesrc.com>
Mon, 26 Apr 2021 10:59:48 +0000 (20:59 +1000)
Add missing build requirements.

The test program is scsi2sd-test not scsi2sd-monitor.

The main binary for V6 is scsi2sd-util6 not scsi2sd-util.

src/scsi2sd-util6/scsi2sd-util6.spec

index 6c14abb8b536a0a246622b1babae63367950313f..9ca6e07f3cce7d6d282209bb9f25ddf00edb226d 100644 (file)
@@ -11,7 +11,9 @@ BuildRequires:        wxGTK3-devel
 BuildRequires: zlib-devel
 BuildRequires: hidapi-devel
 BuildRequires: systemd-devel
+BuildRequires: expat-devel
 BuildRequires: gcc-c++
+BuildRequires: make
 Requires:      wxGTK3
 Requires:      zlib
 Requires:      hidapi
@@ -30,7 +32,7 @@ computer and a modern PC (who still has access to a working floppy drive ?)
 
 This package provides the tools to manage the SCSI2SD card:
 - scsi2sd-util, to configure it
-- scsi2sd-monitor, to test it
+- scsi2sd-test, to test it
 
 %prep
 %setup -q
@@ -42,8 +44,8 @@ make USE_SYSTEM=Yes %{?_smp_mflags}
 %make_install USE_SYSTEM=Yes
 
 %files
-%{_bindir}/scsi2sd-util
-%{_bindir}/scsi2sd-monitor
+%{_bindir}/scsi2sd-util6
+%{_bindir}/scsi2sd-test
 
 %changelog